<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>
	<!-- 生命周期 -->
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">基础管理</a></div>
		<div class="common_content_title">活动设置</div>
		<div class="clearfix contactDetailed fenzuDetailed" style="margin-top:0px;margin-left:0px; overflow-y:auto;background: #fff; ">
		<div id="div-title-first" style="background-image:url('../../scrm/img/activity-step1.png');border-bottom:1px solid #D2D2D2; background-size:100% 100%; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 20%;">渠道设置</span>
			<span style="padding:0px 20%;color:black;">生效时间</span>
		</div>
		<div id="div-title-second" style="background-image:url('../../scrm/img/activity-step2.png');border-bottom:1px solid #D2D2D2; display:none;
			background-size:100% 100%;text-align:right; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 20%;color:black;">渠道设置</span>
			<span style="padding:0px 20%;">生效时间</span>
		</div>
			<!-- 
			<button type="button" class="icon detailed_close" id="closeSetting"></button>
			 -->
			<div class="common_content_title">&nbsp;&nbsp;<span id="title"></span></div>
			<div>
				<form id="form-activitySetting">
				<ul id="ul-show-first">
						<li>
							<span>配置名称</span>
							<input name="channelCfgId" id="channelCfgId" type="hidden" >
							<input name="channelId" id="channelId" type="hidden" >
							<input name="channelInstanceName" id="channelInstanceName" data-options="required:true,length:'100'" size="16" type="text" class="form-control input140" value="">
						</li>
						<li class="clearfix" id="dengJiMingChen">
							<span class="fl margintop8">
								等级名称
							</span>
							<ul class="clearfix fl" >
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input type="hidden" name="member_grade" id="member_grade" value="" />
												<input size="16" id="member_grade_view" type="text" class="form-control" value="" input-type="select" readOnly>
												<ul class="dropdown-menu" data="$.Member_Grade">
													<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">-请选择-</a></li>
												</ul>
											<i class="input_icon input_down"></i>
										</div>
									</div>
								</ol>
							</ul>
						</li>
						<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;">
							<span class="fl margintop8"><span class="mustInput">*</span>奖励方式</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span>
											<input name="pointsOrcoupon" id="pointsOrcoupon_coupons" type="checkbox" value="coupon" /><a href="javascript:selectPointsOrcoupon('coupon')" >送券</a>
										</span>
										<span>
											<input name="pointsOrcoupon" id="pointsOrcoupon_points" type="checkbox" value="points" /> <a  href="javascript:selectPointsOrcoupon('points')" >送积分</a>    
										</span>
									</div>
								</ol>
							</ul>
						</li>
						
						<li id="li-points" class="clearfix" style="zoom:1; display:inline;">
							<!-- <span class="fl margintop8" style="width: 250px;">
							</span> -->
							<div style="width:90%;height:60px;padding: 0 200px;">
								<div>
									<input  class="form-control" placeholder="" style="width: 84px;display:inline-block;" name="give_points" id="give_points" value="" data-options="length:'5',validType:'rtZero'" />
								</div>
							</div>
						</li>
						<div id = "coupon-div" style="display: none;margin-left:100px;">
							<input type="hidden" name="give_coupons" id="give_coupons" value="" />
							<table id="channelSetting-coupon-table" class="easyui-datagrid" style="width:90%;height:200px"
								data-options="pagination:true,collapsible:true,idField:'couponId'">
								<thead>
									 <tr>
										 <th data-options="field:'issueId',checkbox:true">选择</th>
						                <th data-options="field:'couponId',hidden:true,width:100">&nbsp;&nbsp;</th>
						                <th data-options="field:'couponName',width:120,align:'center'">优惠券名称</th>
						                <th data-options="field:'thruDate',width:150,align:'center'
											,formatter : function(value, row, index) {return getDateString(value);}">有效期</th>
						                <th data-options="field:'couponTypeName',width:150,align:'center'">券类型</th>
						                <!-- <th data-options="field:'issueProportion',width:150,align:'center'">数量</th> -->
						                <th data-options="field:'availableQuantity',width:150,align:'center',
						                	formatter:function(value,row,index){return availableChannelSettingsshow(value,row,index);}">剩余张数</th>
						                <th data-options="field:'lastPublishTime',width:150,align:'center',
						                	formatter:function(value,row,index){return channelSettingformatProgressCouponBtn(value,row,index);}">发放数量</th>
						            </tr>
								</thead>
							</table>
						</div>
						<li class="clearfix">
							<span id="linkText" style="width:auto;">
							注册链接：	扫描下方二维码微信登陆
							</span>
							<div id="linkCode" style="margin:10px 0 10px 100px;">
							</div>
						</li>
						<li class="">
							<span class="fl">使用说明</span>
							<textarea name="channelDesc" id="channelDesc" class="form-control input780" rows="3" placeholder="最多可以输入200个字符" data-options="required:false,length:'200'"></textarea>
						</li>
					</ul>
					<!----------------------- 设置页面第二步----------------------- -->
					<ul id="ul-show-second" style="display: none;">
						<li class="clearfix">
							<span class="fl margintop8">
								开始时间
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input name="fromDate" id="fromDate" class="Wdate date_input" type="text" value=""
												 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'%y-%M-%d',maxDate:'#F{$dp.$D(\'fixedDate\')}'})" readonly />
										</div>
									</div>
								</ol>
							</ul>
						</li>
						<li class="clearfix">
							<span class="fl margintop8">
								结束时间
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="fixedDate_check" type="radio" value="fixed" /> 固定日期  </span>
										<div class="relative">
											<input id="fixedDate" class="Wdate date_input" type="text" value=""
												 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'fromDate\')}'})" readonly />
										</div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="periodDays_check" type="radio" value="period" /> 固定时间段  </span>
										<div class="relative">
											活动开始后
											<input id="periodDays" size="16" type="text" class="form-control input50" value="" data-options="required:false,length:'3',validType:'positiveInteger'"> 天
										</div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="last_check" type="radio" value="forever" /> 无截止日期      </span>
										<i>可在配置管理中手动中止</i>
									</div>
								</ol>
							</ul>
						</li>

					</ul>
					&nbsp;&nbsp;<button id="nextBtn-form-activitySetting" type="button" class="btn btn-success choose_btn">下一步</button>
					<button id="backBtn-form-activitySetting" type="button" class="btn back choose_btn">返回</button>
					<button id="aboveBtn-form-activitySetting" style="display: none;" type="button" class="btn back choose_btn">上一步</button>
					<button id="saveBtn-form-activitySetting" style="display: none;" type="button" class="btn btn-success choose_btn">保存</button>
					<br/>
					<br/>
					<!----------------------- 设置页面结束----------------------- -->
				</form>
			</div>
			</div>
			
			<script type="text/javascript">
				$(function() {
					require(['lib/jquery.qrcode.min'], function(re) {

					});
					require(['view/channel/channelSetting'], function(re) {
						re.init();
					});
					

				});
				
			</script>
	</body>
</html>

